<!-- 营业执照 -->
<template>
  <div class="business-license">
    <div class="business-license-box">
      <div v-for="(item, index) in dataSource.imgs" :key="index">
        <cr-image width="350px" class="business-license-box" :src="item" />
      </div>
    </div>
    <span v-for="(item, index) in dataSource.contents" :key="index">
      {{ item }}
    </span>
  </div>
</template>

<script>
import goodsApi from '@/api/goods.api.js';
export default {
  components: {},
  data() {
    return {
      dataSource: {}
    };
  },
  created() {
    let { shopId } = this.$route.query;
    this.getBusinessLicense(shopId);
  },
  methods: {
    async getBusinessLicense(shopId) {
      const [res, error] = await goodsApi.businessLicense(shopId);
      if (!error) {
        this.dataSource = res;
      }
    }
  }
};
</script>

<style lang="less" scoped src="./index.less"></style>
